@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=IBM+Plex+Sans:wght@100;200;300;400;500;600;700&display=swap');
*,
ul {
    margin: 0;
    list-style-type: none;
    padding: 0;
}

body {
    background: #f2f5f7;
    font-size: 14px;
    font-family: 'Inter', sans-serif;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: 'IBM Plex Sans', sans-serif;
}

.overplay {
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.438);
    position: fixed;
    z-index: 9999;
    display: none;
}

a,
a:hover {
    color: #3a3a3a;
    text-decoration: none;
}

.card p {
    line-height: 15px;
    font-size: 12px;
}

.wrapper {
    width: 480px;
    margin: auto;
    height: 100vh;
    overflow-y: scroll;
    position: relative;
    display: none;
    padding-bottom: 100px;
}

.wrapper::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 150px;
    background: #ED6F2D;
}

.search-main::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 130px;
    background: #ED6F2D;
}

.search-main {
    top: 0;
    width: 480px;
    left: 50%;
    transform: translateX(-50%);
    height: 100vh;
    overflow-y: scroll;
    position: fixed;
    background-color: #FFF;
    z-index: 9999 !important;
    display: none;
}

header {
    color: white;
}

header .menu-right {
    font-size: 18px;
}

header .search {
    position: relative;
    background: #fff;
    border-radius: 4px;
    padding: 0 0 0 35px;
}

header .search input {
    background: none;
    border: none;
    height: 40px;
    width: 100%;
}

header .search input:focus {
    background: none;
    border: none;
    outline: none;
}

header .search i {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    color: #ED6F2D;
    left: 10px;
    font-size: 18px;
}

*::-webkit-scrollbar-track {
    background-color: #f5f5f5;
}

*::-webkit-scrollbar {
    width: 7px;
    height: 7px;
    background-color: #f5f5f5;
}

*::-webkit-scrollbar-thumb {
    border-radius: 5px;
    background-color: #ED6F2D;
    background-image: -webkit-linear-gradient(180deg, rgba(255, 255, 255, 0.2) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.2) 50%, rgba(255, 255, 255, 0.2) 75%, transparent 75%, transparent);
}

.menu-bar {
    position: fixed;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    background: #fff;
    width: 480px;
    z-index: 9999;
    padding: 7px 0 0 0;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.233);
}

.menu-bar ul {
    display: flex;
    list-style-type: none;
    justify-content: space-between;
    align-items: center;
    padding: 3px 10px;
}

.menu-bar ul li {
    text-align: center;
    font-size: 12px;
}

.menu-bar ul li i {
    font-size: 18px;
}

.menu-bar ul li a.home {
    background: #ED6F2D;
    color: white;
    width: 70px;
    height: 70px;
    border-radius: 50%;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    margin-top: -30px;
    border: 8px solid #fff;
    font-size: 20px;
}

.menu-bar ul li a {
    color: #2e2d2e;
}

.menu-bar ul li a.active,
.menu-bar ul li a:hover {
    color: #ED6F2D;
}

.kategori {
    position: relative;
    overflow-x: scroll;
    padding: 30px 0 0 0;
}

.kategori img {
    border-radius: 50%;
    width: 60px;
    margin-bottom: 10px;
}

.kategori ul {
    display: flex;
    list-style-type: none;
}

.kategori h6 {
    font-size: 14px;
    font-weight: 400;
}

.kategori ul li {
    margin-right: 15px;
    text-align: center;
}

.kategori::-webkit-scrollbar,
.body-text-detail::-webkit-scrollbar {
    display: none;
}

.card-img,
.card-img-banner {
    position: relative;
}

.card-img-sec {
    width: 50%;
    position: relative;
}

.card-img-sec img {
    width: 130px;
}

.card-img img {
    border-radius: 5px 5px 0 0;
    width: 100%;
    object-fit: cover;
}

.card-img-banner img {
    border-radius: 5px;
    width: 180px !important;
    height: 190px;
    object-fit: cover;
}

.owl ul {
    list-style-type: none;
}

.owl-dots {
    display: none;
}

.owl h6 {
    font-size: 14px;
}

.top-img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    padding: 5px 10px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.bottom-img {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    padding: 5px 10px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.top-img {
    color: white;
}

.btn-xs {
    padding: 3px 5px;
    font-size: 12px;
}

.btn-utama {
    background: #42761F;
}

.btn-like {
    cursor: pointer;
}

.item {
    height: 10rem;
    padding: 1rem;
    opacity: 0.4;
    transition: 0.4s ease all;
    transform: scale(0.9);
}

.owl .item {
    background: #4dc7a0;
}

.slick .item {
    background: #3498db;
}

.active .item,
.slick-center {
    opacity: 1;
    transform: scale(1);
}

.owl-controls {
    position: absolute;
    margin-top: 300px;
}

aside {
    position: fixed;
    left: -100%;
    top: 0;
    background: #fff;
    height: 100%;
    width: 300px;
    transition: 0.7s all;
    z-index: 99999;
}

.profile {
    position: fixed;
    right: -100%;
    top: 0;
    background: #fff;
    height: 100%;
    width: 300px;
    transition: 0.7s all;
    z-index: 99999;
    transition: .5s;
}

.profile .fa-times {
    position: absolute;
    left: 10px !important;
}

.profile::before {
    content: '';
    position: absolute;
    right: 0;
    top: 0;
    width: 100%;
    background: #ED6F2D;
    height: 180px;
}

.profile-info {
    position: relative;
    text-align: center;
    width: 90%;
    margin: 20px auto 10px auto;
    color: white;
}

.profile-info img {
    width: 90px;
    border-radius: 50%;
    height: 90px;
    padding: 4px;
    background: #FFF;
    margin-bottom: 10px;
}

.profile-info h2 {
    font-size: 16px;
    margin: 0;
}

.profile-body {
    position: relative;
}

.profile-body ul {
    margin: 0;
    padding: 0;
    border: 1px solid #eaeaea;
}

.profile-space {
    margin-top: 20px;
    padding: 10px;
    font-weight: 600;
    color: #bdbdbd;
}

.profile-body ul li {
    font-size: 13px;
    border-bottom: 1px solid #eaeaea;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 13px;
}

.profile-body ul li:last-child {
    border: none;
}

aside .title-menu {
    padding: 16px 20px;
    background: #ED6F2D;
    color: white;
    position: relative;
}

aside .title-menu i {
    position: absolute;
    right: 10px;
    top: 10px;
}

aside .navmenu {
    position: relative;
}

aside .navmenu li a {
    display: block;
    font-weight: 400;
    padding: 15px;
}

aside .navmenu li {
    border-bottom: 1px solid rgb(240, 240, 240);
}

aside .navmenu li a i {
    width: 35px;
}

aside.show {
    left: 0;
}

.profile.show {
    right: 0;
}

.payment {
    position: fixed;
    left: 50%;
    transform: translateX(-50%);
    width: 460px;
    bottom: -100%;
    z-index: 99999;
    background: #00c458;
    color: white;
    display: flex;
    justify-content: space-between;
    border-radius: 5px;
    align-items: center;
    padding: 10px 20px;
    transition: 0.5s;
    cursor: pointer;
}

.payment.show {
    bottom: 20px;
}

.payment.hide {
    bottom: -100%;
}

.payment i.fa-shopping-bag,
.count-cart i.fa-shopping-bag {
    font-size: 32px;
}

.cart-detail {
    display: none;
    position: relative;
    z-index: 999999;
}

.count-cart {
    position: fixed;
    left: 50%;
    transform: translateX(-50%);
    width: 400px;
    bottom: 10px;
    background: #00c458;
    color: white;
    display: flex;
    justify-content: space-between;
    border-radius: 5px;
    align-items: center;
    padding: 10px 20px;
    transition: 0.5s;
    cursor: pointer;
}

a.home {
    position: relative;
}

a.home:hover {
    color: white !important;
}

.count {
    position: absolute;
    top: -10px;
    right: 0;
    background: #ff1024;
    font-size: 12px;
    border-radius: 3px;
    padding: 3px 4px;
    font-weight: 800;
    display: none;
}

.keranjang,
.checkout {
    margin: 0 10px;
    margin-top: 10px;
    position: relative;
}

.keranjang img {
    border-radius: 50%;
    width: 70px;
    height: 70px;
}

.keranjang h6,
.checkout h6 {
    font-size: 14px;
}

.keranjang span {
    font-size: 12px;
}

.keranjang ul li {
    padding: 17px;
    background: #fff;
    border-radius: 5px;
    margin-bottom: 10px;
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.05);
}

.checkout ul {
    background: #FFF;
    border-radius: 5px;
    overflow: hidden;
    padding: 15px;
}

.checkout input[type="radio"] {
    display: none;
}

.checkout label {
    border: 1px solid #d1d1d1;
    display: block;
    border-radius: 4px;
    padding: 10px;
    background: #f2f5f7;
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    transition: .5s;
    cursor: pointer;
}

.checkout label span {
    width: 20px;
    height: 20px;
    border-radius: 50%;
    display: block;
    background: #FFF;
    border: 5px solid #ddd;
    transition: .5s;
}

.checkout input[type="radio"]:checked+label {
    border-color: #ED6F2D;
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.08);
}

.checkout input[type="radio"]:checked+label span {
    border: 5px solid #ED6F2D;
}

.keranjang ul li i.fa-times {
    background: #ee0d0dab;
    color: white;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 25px;
    height: 25px;
    border-radius: 50%;
}

.inc-detail {
    width: 70px;
    display: flex;
    justify-content: space-between;
    position: relative;
    background: #ececec;
    border-radius: 5px;
    padding: 2px;
    border: 1px solid #ddd;
}

.inc-detail input {
    width: 100%;
    text-align: center;
    border: none;
    background: none;
}

.inc-detail button {
    color: #444;
    border: none;
    font-size: 10px;
    background: none;
    color: #ED6F2D;
    padding: 0 5px;
}

.btn-xs {
    padding: 4px 8px;
    font-size: 12px;
    border-radius: 3px;
}

.promo,
.ket {
    position: relative;
    border: 1px solid #ddd;
    border-radius: 3px;
    display: flex;
    overflow: hidden;
}

.input-group {
    display: table;
    width: 100%;
}

.input-group>div {
    display: table-cell;
    border: 1px solid #ddd;
    vertical-align: middle;
    /* needed for Safari */
}

.input-group-icon {
    background: #ED6F2D;
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
    overflow: hidden;
    border: none !important;
}

.input-group-icon button {
    padding: 6px 12px;
    height: 100%;
    border: none;
    background: none;
    color: white;
}

.input-group-area {
    width: 100%;
    border-top-left-radius: 4px;
    border-right: none !important;
    border-bottom-left-radius: 4px;
}

.input-group input {
    border: 0;
    display: block;
    width: 100%;
    padding: 6px 8px;
}

.detail {
    width: 480px;
    margin: auto;
    height: 100vh;
    overflow-y: scroll;
    position: fixed;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    z-index: 9999;
    background: #FFF;
    display: none;
}

.detail-header {
    position: fixed !important;
    top: 0;
    left: 0;
    width: 100%;
    height: 100px;
    z-index: 999;
    color: white;
    padding: 0 10px;
    font-size: 18px;
}

.detail.show {
    bottom: 0;
}

.detail-img img {
    width: 100%;
    height: 250px;
    object-fit: cover;
}

.detail-img {
    position: relative;
}

.detail-img::before {
    position: absolute;
    content: '';
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: rgba(68, 68, 68, 0.527);
}

.detail-body {
    margin: -90px 15px 0 10px;
    background: #FFF;
    padding: 15px;
    border-radius: 10px;
    z-index: 999999;
    position: relative;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.099);
}

.detail-card .add-cart {
    position: absolute;
    right: 15px;
    top: -23px;
}

.detail-card .add-cart a {
    box-shadow: 0 3px 20px rgba(2, 114, 105, 0.541);
    font-size: 20px;
    background: #009480;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    width: 45px;
    height: 45px;
}

.body-text-detail {
    overflow-y: scroll;
    height: 52.5vh;
    position: relative;
}

.detail-body h1 {
    font-size: 18px;
}

.detail-body h2 {
    font-size: 16px;
}

.img-two {
    border-radius: 7px !important;
    height: 130px;
    object-fit: cover;
}

.info-main {
    position: fixed;
    top: -100%;
    left: 50%;
    width: 480px;
    transform: translateX(-50%);
    background: #FFF;
    z-index: 99999;
    border-radius: 0 0 6px 6px;
    transition: .5s;
    padding: 15px;
}

.info-main.show {
    top: 0;
}

.list-kecamatan {
    position: relative;
    display: none;
}

.list-kecamatan ul {
    overflow: hidden;
    margin-top: 5px;
    border-radius: 3px;
    border: 1px solid #ddd;
}

.list-kecamatan li {
    padding: 8px;
    background: #f8f8f8;
    border-bottom: 1px solid #ddd;
    font-weight: 400;
    cursor: pointer;
    transition: .5s;
}

.list-kecamatan li:hover {
    background: #ED6F2D;
    color: white;
}

.list-kecamatan li:last-child {
    border-bottom: none;
}

.md-ripples .ripple {
    background-color: #FFFFFF;
}

.ripples-cyan .ripple {
    background-color: #21D4FD;
    opacity: .32;
}

.ripples-purple .ripple {
    background-color: #B721FF;
    opacity: .32;
}

.info-delivery {
    display: none;
}

#map {
    width: 100%;
    height: 400px;
}

.truncate-line {
    -webkit-line-clamp: 1;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.close-info {
    position: absolute;
    right: 10px;
    top: 10px;
}

.show_address {
    display: none;
}

.streaming-carousel img {
    height: 180px;
    object-fit: cover;
}

.list-product {
    height: 180px;
    position: relative;
}

.list-product img {
    height: 100%;
}

.truncate {
    -webkit-line-clamp: 2;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
    line-height: 1.3em;
}


/* ZIGZAG */

#d-wrapper {
    margin-top: 10px;
    background-color: FFF;
    border-top-right-radius: 5px;
    border-top-left-radius: 5px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.13);
}

#d-wrapper * {
    margin: 0;
    padding: 0;
}

#d-wrapper .zig-zag-bottom {
    margin: 32px 0;
    margin-top: 0;
    background: #FFF;
}

#d-wrapper .zig-zag-bottom,
#d-wrapper .zig-zag-top {
    padding: 15px 0;
    border-top-right-radius: 5px;
    border-top-left-radius: 5px;
}

#d-wrapper .zig-zag-bottom:after {
    background: linear-gradient(-45deg, transparent 16px, #FFF 0), linear-gradient(45deg, transparent 16px, #FFF 0);
    background-repeat: repeat-x;
    background-position: left bottom;
    background-size: 22px 32px;
    content: "";
    display: block;
    width: 100%;
    height: 32px;
    position: relative;
    top: 44px;
    left: 0px;
}

.border-dots {
    border-bottom: 1px dashed #444;
}

.table-receipt {
    width: 100%;
    font-size: 12px;
}

.table-receipt tr td {
    padding: 5px 0 !important;
}

#preloader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 99999;
    background: #f7f6f6;
    display: flex;
    align-items: center;
    justify-content: center;
}

.logo-bank {
    width: 50px;
}

.confirm::before {
    content: '';
    position: fixed;
    left: 0;
    top: 0;
    bottom: 0;
    right: 0;
    width: 100%;
    background: rgba(0, 0, 0, 0.521);
    z-index: 99999;
}

.confirm {
    /* display: none; */
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
}

.confirm>div {
    padding: 20px;
    border-radius: 5px;
    background: #FFF;
    position: absolute;
    left: 50%;
    top: 50%;
    max-width: 40%;
    transform: translate(-50%, -50%);
    position: relative;
    z-index: 99999;
}


/* LOADER 1 */

.loader {
    width: 48px;
    height: 48px;
    border: 5px solid #ed702d51;
    border-bottom-color: #ED6F2D;
    border-radius: 50%;
    display: inline-block;
    box-sizing: border-box;
    animation: rotation 1s linear infinite;
}

@keyframes rotation {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}


/* LOADER 2 */

.loader-2 {
    width: 48px;
    height: 48px;
    border: 5px solid #ED6F2D;
    border-radius: 50%;
    display: inline-block;
    box-sizing: border-box;
    position: relative;
    animation: pulse 1s linear infinite;
}

.loader-2:after {
    content: '';
    position: absolute;
    width: 48px;
    height: 48px;
    border: 5px solid #313ef0;
    border-radius: 50%;
    display: inline-block;
    box-sizing: border-box;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    animation: scaleUp 1s linear infinite;
}

@keyframes scaleUp {
    0% {
        transform: translate(-50%, -50%) scale(0)
    }
    60%,
    100% {
        transform: translate(-50%, -50%) scale(1)
    }
}

@keyframes pulse {
    0%,
    60%,
    100% {
        transform: scale(1)
    }
    80% {
        transform: scale(1.2)
    }
}


/* LOADER 3 */

.loader-3 {
    width: 12px;
    height: 12px;
    border-radius: 50%;
    display: block;
    margin: 15px auto;
    position: relative;
    color: #ED6F2D;
    box-sizing: border-box;
    animation: animloader 1s linear infinite alternate;
}

@keyframes animloader {
    0% {
        box-shadow: -38px -12px, -14px 0, 14px 0, 38px 0;
    }
    33% {
        box-shadow: -38px 0px, -14px -12px, 14px 0, 38px 0;
    }
    66% {
        box-shadow: -38px 0px, -14px 0, 14px -12px, 38px 0;
    }
    100% {
        box-shadow: -38px 0, -14px 0, 14px 0, 38px -12px;
    }
}


/* LoADER 4 */

.loader-4 {
    width: 48px;
    height: 48px;
    border-radius: 50%;
    display: inline-block;
    border-top: 4px solid #ED6F2D;
    border-right: 4px solid transparent;
    box-sizing: border-box;
    animation: rotation 1s linear infinite;
}

.loader-4::after {
    content: '';
    box-sizing: border-box;
    position: absolute;
    left: 0;
    top: 0;
    width: 48px;
    height: 48px;
    border-radius: 50%;
    border-left: 4px solid #313ef0;
    border-bottom: 4px solid transparent;
    animation: rotation 0.5s linear infinite reverse;
}

@keyframes rotation {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

.empty-favorit {
    text-align: center;
}

.empty-favorit img {
    height: 160px;
    width: auto;
    margin-bottom: 20px;
}

.list-kategori {
    position: relative;
    z-index: 9999;
    --items: 4;
    --cell-padding: 0.2rem;
    --cell-basis: calc((100% - var(--cell-padding) * 2) / var(--items));
    display: flex;
    overflow: auto;
    text-align: center;
    font-size: 12px;
    margin: 0 7px;
    top: 30px;
}

.list-kategori::-webkit-scrollbar {
    display: none;
}

.list-kategori input {
    display: none;
}

.list-kategori li {
    flex: 1 0 var(--cell-basis);
    padding: var(--cell-padding);
}

.list-kategori label {
    display: block;
    color: white;
    border: 1px solid #fff;
    padding: 4px 10px;
    border-radius: 2px;
    transition: .5s;
    cursor: pointer;
}

.list-kategori input:checked+label {
    background: #b00d1b;
    border: 1px solid #b00d1b;
}

@media only screen and (max-width: 768px) {
    .kategori ul h6 {
        font-size: 11px;
    }
    .card-img-sec img {
        width: 125px;
    }
    p {
        font-size: 12px;
    }
    .title-main {
        padding: 0 10px;
    }
    .wrapper,
    .menu-bar,
    .detail,
    .info-main,
    .search-main {
        width: 100%;
    }
    .menu-bar ul li a.home {
        width: 60px;
        height: 60px;
        border: 8px solid #fff;
    }
    .menu-bar ul li {
        font-size: 11px;
        font-weight: 400;
    }
    .menu-bar ul li i {
        font-size: 18px;
    }
    .menu-bar {
        padding: 10px 0 0 0;
    }
    .card-img-banner img {
        border-radius: 5px;
        width: 180px !important;
        height: 180px;
        object-fit: cover;
    }
    .payment {
        width: 90%;
        font-size: 12px;
    }
    .payment i.fa-shopping-bag {
        font-size: 24px;
    }
    .payment h5 {
        font-weight: 700;
        font-size: 14px;
    }
    .body-text-detail {
        height: 59vh;
    }
    .detail-body {
        margin: -70px 15px 0 10px;
    }
    .count-cart {
        width: 100%;
        bottom: 0;
        border-radius: 0;
    }
    .count-cart i.fa-shopping-bag {
        font-size: 24px;
    }
    .count-cart h5 {
        font-weight: 700;
        font-size: 18px;
    }
    .list-kategori {
        --items: 3;
    }
    h6.title-product {
        font-size: 13px;
    }
}